Install a package from the registry
- Base URL
-
https://{kibana_url}
- POST /api/fleet/epm/packages/{pkgName}/{pkgVersion}
- POST /api/fleet/epm/packages/{pkgName}
- POST /s/{space_id}/api/fleet/epm/packages/{pkgName}/{pkgVersion}
Install a specific version of a package from the Elastic Package Registry.
Required authorization
- Privileges integrations-all and fleet-agent-policies-all
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Responses
Successful response